/***********************************************************************\
*                               windows.d                               *
*                                                                       *
*                       Windows API header module                       *
*                                                                       *
*             Translated from MinGW API for MS-Windows 3.10             *
*                                                                       *
*                       Placed into public domain                       *
\***********************************************************************/
module jp.ku6.windows.win32api.windows;

/*
	windows.h - main header file for the Win32 API

	Written by Anders Norlander <anorland@hem2.passagen.se>

	This file is part of a free library for the Win32 API.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/

public import jp.ku6.windows.win32api.w32api;
public import jp.ku6.windows.win32api.core;

// We can't use static if for imports, build gets confused.
version (WindowsVista) {
	public import jp.ku6.windows.win32api.winsvc;
} else version (Windows2003) {
	public import jp.ku6.windows.win32api.winsvc;
} else version (WindowsXP) {
	public import jp.ku6.windows.win32api.winsvc;
} else version (WindowsNTonly) {
	public import jp.ku6.windows.win32api.winsvc;
}

public import jp.ku6.windows.win32api.cderr;
public import jp.ku6.windows.win32api.dde;
public import jp.ku6.windows.win32api.ddeml;
public import jp.ku6.windows.win32api.dlgs;
public import jp.ku6.windows.win32api.imm;
public import jp.ku6.windows.win32api.lzexpand;
public import jp.ku6.windows.win32api.mmsystem;
public import jp.ku6.windows.win32api.nb30;



public import jp.ku6.windows.win32api.rpc;
public import jp.ku6.windows.win32api.shellapi;
public import jp.ku6.windows.win32api.winperf;
public import jp.ku6.windows.win32api.commdlg;
public import jp.ku6.windows.win32api.winspool;
public import jp.ku6.windows.win32api.ole2;

// Select correct version of winsock.  Importing the incorrect
// module will cause a static assert to prevent problems later on.
version (Win32_Winsock1) {
	public import jp.ku6.windows.win32api.winsock;
} else {
	public import jp.ku6.windows.win32api.winsock2;
	public import jp.ku6.windows.win32api.ws2tcpip;
}

/+
#if (_WIN32_WINNT >= 0x0400)
#include <winsock2.h>
/*
 * MS likes to include mswsock.h here as well,
 * but that can cause undefined symbols if
 * winsock2.h is included before windows.h
 */
#else
#include <winsock.h>
#endif /*  (_WIN32_WINNT >= 0x0400) */
+/
